#include "ArrayFeatureTree.h"

void
ArrayFeatureTree::
init(const string& path)
{
  string tmpA[] = {"r","h","u","m","l","lm","ru","rm","tt",
			"f","gr","ff","tp","mf",
			"HC", "grH", "ffH", "tpH", "mfH"};
  int relevant[] = { GRCALC, FFCALC, TPCALC };

  for(int i = 0 ; i < 3 ; i++)
  //for(int which = 0 ; which < NUMCALCS ; which++)
  {
    int which = relevant[i];
    string tmp = tmpA[which];
    Feature::init(path, tmp); 
    string ftstr(path);
    ftstr += tmp;
    ftstr += ".g";
    ifstream fts(ftstr.c_str());
    //myassert(fts, ftstr);
    if (!fts)
    {
      warn ("Can't find .g file for " + tmp);
      continue;
    }
    FeatureTree* ft = new ArrayFeatureTree(fts); //puts it in root;
    Feature::readLam(which, tmp, path);
  }
}

ostream&
operator<< ( ostream& os, const ArrayFeatureTree& t )
{
  os << "| " << t.getInd() << " " << t.count << " |";
  return os;
}
