#include "Term.h"
#include <vector>
#include <string>
#include "utils.h"

///
class Cluster
{ 
  public:
    ///
    Cluster() {  }

    ///
    static void init(std::string& prefix);

    ///
    static int of (const Term* term, int wordNum) {
      return of(term->toInt(), wordNum);
    }
    ///
    static int of (int termNum, int wordNum) {
      myassert (wordNum >= 0, wordNum);
      if (wordNum >= wordVec_.size()) return 0;
      int retval = wordVec_[wordNum][termNum];
      //if (retval) return retval;
      //else return defaultCluster_;
      return retval;
    }

  private:
    ///
    static std::vector<std::map<int, int, std::less<int> > > wordVec_;
};
