
#ifndef FBINARYARRAY_H
#define FBINARYARRAY_H

#include <iostream>
#include <fstream>

class Feat;
class ArrayFeatureTree;

class FBinaryArray
{
 public:
  FBinaryArray() : size_(0) {}
  void set(int sz);
  Feat*   find(const int id) const;
  int     size() const { return size_; }
  Feat*   index(int i);
  Feat*   operator[](int i) { return find(i); }
  int size_;
  Feat* array_;
};

class FTreeBinaryArray
{
 public:
  FTreeBinaryArray() : size_(0) {}
  void set(int sz);
  ArrayFeatureTree*   find(const int id) const;
  int     size() const { return size_; }
  ArrayFeatureTree*   index(int i);
  ArrayFeatureTree*   operator[](int i) { return find(i); }
  int size_;
  ArrayFeatureTree* array_;
};

#endif /* ! FBINARYARRAY_H */
