
#ifndef FEAT_H
#define FEAT_H

#include "Feature.h"

class FeatureTree;
enum { 
  OTHER = 0,
  ISCALE = 1,
  PARSE,
  SELDEBUG,
  SEL
};

class Feat
{
private:
  FeatureTree* ft_;
  int ind_;
  int cnt_;
  float g_;

public:
  Feat(): ind_(0), cnt_(0), ft_(NULL), g_(0) { }
  friend std::ostream& operator<< ( std::ostream& os, Feat& t );
  FeatureTree* toTree() { return ft_; }
  void setTree(FeatureTree* ft) { ft_ = ft; }
  float& g() { return g_; }
  int& ind() { return ind_; }
  int& cnt() { return cnt_; }
  static int Usage;
};

#endif /* ! FEAT_H */
