
#ifndef FEATTREEITER_H
#define FEATTREEITER_H

#include "MapFeatureTree.h"

#define NUM_MAPS 20

class FeatTreeIter
{
public:
  FeatTreeIter(MapFeatureTree* ft) : currDepth(0), alive_(1), curr(ft)
    {
      maps[0] = ft->subtree.begin();
      next();
    }
  void next();
  int alive() { return alive_; }
  MapFeatureTree* curr;
private:
  FTreeMap::iterator maps[NUM_MAPS];
  int currDepth;
  int alive_;
};

#endif /* ! FEATTREEITER_H */
