
#ifndef ECARGS_H
#define ECARGS_H

#include <list>
#include <string>

class ECArgs
{
 public:
  ECArgs(int argc, char *argv[], const std::string& argopts = "");
  int nargs() { return nargs_; }
  bool isset(char c);
  std::string value(char c);
  std::string arg(int n) { return argList[n]; }
 private:
  int nargs_;
  int nopts_;
  std::string argList[32];
  std::list<std::string> optList;
};
  

#endif /* ! ECARGS_H */
