
#include "FeatTreeIter.h"

void
FeatTreeIter::
next()
{
  //cerr << "FTI next on " << *curr << " " << currDepth << endl;
  int ans = 1;
  for( ; ; )
    {
      assert(currDepth < NUM_MAPS);
      assert(currDepth >= 0);
      FTreeMap::iterator& fti = maps[currDepth];
      if(fti != curr->subtree.end())
	{
	  curr = (*fti).second;
	  fti++;
	  currDepth++;
	  assert(currDepth < NUM_MAPS);
	  maps[currDepth] = curr->subtree.begin();
	  break;
	}
      if(curr->auxNd)
	{
	  curr = (MapFeatureTree*) curr->auxNd;
	  maps[currDepth] = curr->subtree.begin();
	  continue;
	}
      while(curr->getInd() == AUXIND)
	{
	  curr = (MapFeatureTree*) curr->back;
	}
      curr = (MapFeatureTree*) curr->back;
      if(!curr)
	{
	  ans = 0;
	  break;
	}
      currDepth--;
    }
  if(!ans)
    {
      alive_ = 0;
      return ;
    }
  //cerr << "found " << *curr << " " << currDepth << endl;
  if(curr->feats.empty()) next();
}
