
#ifndef FUNCSTATS_H
#define FUNCSTATS_H

#include <iostream>
#include "FuncInfo.h"

class FuncStats
{
 public:
  FuncStats()
   {
     size = FuncInfo::lastFuncInfoInt() + 1;
     size += 9; // yay ad-hoc solutions
     //clrsize = FuncInfo::clrTypes() + 1;
     funcTagCounts = new int*[size];
     //clrCounts = new int*[clrsize];
     for (int corr = 0; corr < size; ++corr)
     {
       funcTagCounts[corr] = new int[size];
       memset (funcTagCounts[corr], 0, size * sizeof(int *));
     }
     /*
     for (corr = 0; corr < clrsize; ++corr)
     {
       clrCounts[corr] = new int[clrsize];
       memset (funcTagCounts[corr], 0, size * sizeof(int *));
     }
     */
   }
  ~FuncStats()
  { 
    for (int corr = 0; corr < size; ++corr)
      delete[] funcTagCounts[corr];
    delete[] funcTagCounts;
  }
  friend std::ostream& operator <<( std::ostream& os, const FuncStats& ps );
  void witness (int corr, int output) { funcTagCounts[corr][output]++; }
  //void witnessCLR (int corr, int output, int corrCLRtype, int outputCLRtype)
    //{ clrCounts[corr][output]++; }
 private:
  int size;
  int** funcTagCounts;
};

#endif /* ! FUNCSTATS_H */
